ICU 74.1 74.1

Data Structures | Namespaces | Typedefs
calendar.h File Reference

C++ API: Calendar object. More...

`#include "unicode/utypes.h"`
`#include "unicode/uobject.h"`
`#include "unicode/locid.h"`
`#include "unicode/timezone.h"`
`#include "unicode/ucal.h"`
`#include "unicode/umisc.h"`

Go to the source code of this file.

## Data Structures
class | icu::Calendar
| `Calendar` is an abstract base class for converting between a `UDate` object and a set of integer fields such as `YEAR`, `MONTH`, `DAY`, `HOUR`, and so on. More...

## Namespaces
| icu
| File coll.h.

## Typedefs
typedef int32_t | icu::UFieldResolutionTable[12][8]

## Detailed Description

C++ API: Calendar object.

Definition in file calendar.h.